2019-10-14 12:57 EDT


View Issue Details Jump to Notes ] Related Changesets ]
IDProjectCategoryView StatusLast Update
0002939FSSCPHUDpublic2013-12-01 19:54
Reportermpkerrigan 
Assigned Tozookeeper 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSWindowsOS Version7
Product Version3.7.1 
Target VersionFixed in Version3.7.1 
Summary0002939: Off-screen direction/distance indicators showing up incorrectly in widescreen mode
DescriptionThe off-screen distance to target indicator on the HUD appears bugged when running in widescreen resolutions (with and without MediaVPs, and regardless of MOD). In 1920x1080, the indicator is completely absent for targets off the bottom and right side of the screen, and in 1280x720 the bottom indicator is an inch or so from the bottom of the screen, and absent on the right. In 1024x768, there's no problems at all. Additionally, the top arrows don't "line up" with a ship when it moves off-screen, although they do show up.
Steps To ReproduceFire up the game with widescreen resolution, target a ship and move so that it goes off-screen. The arrow near the reticle will still show which direction the target is, but the double arrows on the edge of the screen will not display.
Additional InformationFirst shows up in r9872 (maybe earlier, but this is the first nightly build). The previous nightly, r9863 produces the correct behavior, and the bug is still active in r9951.

  
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0015335

zookeeper (developer)

Fix committed to zookeeper@9959.

~0015480

niffiwan (developer)

Crediting zookeeper
+Notes

+Related Changesets

-Issue History
Date Modified Username Field Change
2013-10-18 12:59 mpkerrigan New Issue
2013-10-18 17:59 zookeeper Changeset attached => fs2open zookeeper r9959
2013-10-18 17:59 zookeeper Note Added: 0015335
2013-10-18 17:59 zookeeper Status new => resolved
2013-10-18 17:59 zookeeper Resolution open => fixed
2013-12-01 19:54 niffiwan Assigned To => zookeeper
2013-12-01 19:54 niffiwan Note Added: 0015480
2013-12-01 19:54 niffiwan Status resolved => feedback
2013-12-01 19:54 niffiwan Resolution fixed => reopened
2013-12-01 19:54 niffiwan Status feedback => resolved
2013-12-01 19:54 niffiwan Fixed in Version => 3.7.1
2013-12-01 19:54 niffiwan Resolution reopened => fixed
+Issue History